# ORM Example - Euclid

Create the anaconda environment for this example

    conda create -n euclid_example django

To activate this environment, use

    conda activate euclid_example

Additional packages are needed, not available in Anaconda but installed with the `pip` command

    pip install django-extensions djangorestframework
    pip install django-composite-field django-url-filter

To deactivate an active environment, use

    conda deactivate


## Run the Django Project

Apply migrations

    python manage.py migrate

Create an admin user

    python manage.py createsuperuser

You can access the database throught the Django shell

    python manage.py shell

or running the Django web server

    python manage.py runserver

then access to <http://127.0.0.1:8000/admin>.
